Mike Gerwitz

Activist for User Freedom

aboutsummaryrefslogtreecommitdiffstats
path: root/images
diff options
context:
space:
mode:
Diffstat (limited to 'images')
-rw-r--r--images/tp/.gitignore6
-rw-r--r--images/tp/SHA256SUM1
-rwxr-xr-ximages/tp/gen-makefile54
-rw-r--r--images/tp/remote-list1
4 files changed, 62 insertions, 0 deletions
diff --git a/images/tp/.gitignore b/images/tp/.gitignore
new file mode 100644
index 0000000..f3a75c5
--- /dev/null
+++ b/images/tp/.gitignore
@@ -0,0 +1,6 @@
+*
+!gen-makefile
+!remote-list
+!SHA256SUM
+!.gitignore
+
diff --git a/images/tp/SHA256SUM b/images/tp/SHA256SUM
new file mode 100644
index 0000000..a77793c
--- /dev/null
+++ b/images/tp/SHA256SUM
@@ -0,0 +1 @@
+3a2fb99c4cbb929ee7a5c404f7b356fa9c5133145feaf834220cad4362d651d0 eff-42.png
diff --git a/images/tp/gen-makefile b/images/tp/gen-makefile
new file mode 100755
index 0000000..85764e2
--- /dev/null
+++ b/images/tp/gen-makefile
@@ -0,0 +1,54 @@
+#!/bin/bash
+# Generate Makefile for third-party image download
+#
+# Copyright (C) 2017 Mike Gerwitz
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+##
+
+declare -r remote_file=remote-list
+
+cat <<EOF
+### GENERATED BY gen-makefile ###
+
+TORIFY="${TORIFY-torify}"
+
+images := $( cut -d' ' -f1 "$remote_file" | tr '\n' ' ' )
+
+.PHONY: all check clean
+
+all: \$(images)
+SHA256SUM: \$(images)
+ sha256sum \$(images) > \$@
+
+check:
+ sha256sum -c SHA256SUM
+
+clean:
+ \$(RM) \$(images)
+
+EOF
+
+while read out url convert; do
+ dest="$out"
+
+ echo "$dest":
+ printf "\t\$(TORIFY) wget -O %q %q\n" "$dest" "$url"
+
+ test -n "$convert" || continue
+
+ # faketime because of EXIF metadata
+ printf "\tfaketime 1970-01-01 mogrify %s %q\n" "$convert" "$dest"
+done < "$remote_file"
+
diff --git a/images/tp/remote-list b/images/tp/remote-list
new file mode 100644
index 0000000..84119f5
--- /dev/null
+++ b/images/tp/remote-list
@@ -0,0 +1 @@
+eff-42.png https://web.archive.org/web/20170922020250/https://www.eff.org/files/2014/01/24/eff-logo-plain-rgb.png -trim -resize 42 -gravity center -extent 42x42